# Interface RelayData

#### Hierarchy

- RelayData

- Defined in connect/src/whscan-api.ts:69

#####
Index

### Properties

error
fee
from
metrics
status
to
vaa

## Properties

### error

error: any

- Defined in connect/src/whscan-api.ts:86

### fee

fee: {
amount: number;
symbol: string;
}

#### Type declaration

- ##### amount: number

- ##### symbol: string

- Defined in connect/src/whscan-api.ts:82

### from

from: {
amountSent: number;
amountToSwap: number;
chain: string;
chainId: number;
estimatedNativeAssetAmount: number;
senderAddress: string;
symbol: string;
txHash: string;
}

#### Type declaration

- ##### amountSent: number

- ##### amountToSwap: number

- ##### chain: string

- ##### chainId: number

- ##### estimatedNativeAssetAmount: number

- ##### senderAddress: string

- ##### symbol: string

- ##### txHash: string

- Defined in connect/src/whscan-api.ts:70

### metrics

metrics: {
attempts: number;
completedAt: string;
failedAt: any;
maxAttempts: number;
receivedAt: string;
waitingForTxInMs: number;
waitingForWalletInMs: number;
}

#### Type declaration

- ##### attempts: number

- ##### completedAt: string

- ##### failedAt: any

- ##### maxAttempts: number

- ##### receivedAt: string

- ##### waitingForTxInMs: number

- ##### waitingForWalletInMs: number

- Defined in connect/src/whscan-api.ts:96

### status

status: string

- Defined in connect/src/whscan-api.ts:81

### to

to: {
chain: string;
chainId: number;
gasUsed: number;
nativeAssetReceived: number;
nativeAssetSymbol: string;
recipientAddress: string;
txHash: string;
}

#### Type declaration

- ##### chain: string

- ##### chainId: number

- ##### gasUsed: number

- ##### nativeAssetReceived: number

- ##### nativeAssetSymbol: string

- ##### recipientAddress: string

- ##### txHash: string

- Defined in connect/src/whscan-api.ts:87

### vaa

vaa: string

- Defined in connect/src/whscan-api.ts:80

Generated using TypeDoc